std::unordered_set::max_size(3)

NAME
std::unordered_set::max_size - std::unordered_set::max_size

Synopsis
   size_type max_size() const noexcept; (since C++11)
   Returns the maximum number of elements the container is able to hold due to system
   or library implementation limitations, i.e. std::distance(begin(), end()) for the
   largest container.

Parameters
   (none)

Return value
   Maximum number of elements.

Complexity
   Constant.

Notes
   This value typically reflects the theoretical limit on the size of the container, at
   most std::numeric_limits<difference_type>::max(). At runtime, the size of the
   container may be limited to a value smaller than max_size() by the amount of RAM
   available.

Example
// Run this code
 #include <iostream>
 #include <locale>
 #include <unordered_set>
 int main()
 {
     std::unordered_set<char> q;
     std::cout.imbue(std::locale("en_US.UTF-8"));
     std::cout << "Maximum size of a std::unordered_set is " << q.max_size() << '\n';
 }

Possible output:
 Maximum size of a std::unordered_set is 768,614,336,404,564,650

See also
   size returns the number of elements
   (C++11) (public member function)